linux-lts-trusty: 3.13.0-57.95~precise1 -proposed tracker

Bug #1466938 reported by Brad Figg on 2015-06-19
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Po-Hsu Lin
Prepare-package
Medium
Luis Henriques
Prepare-package-meta
Medium
Luis Henriques
Prepare-package-signed
Medium
Luis Henriques
Promote-to-proposed
Medium
Chris J Arges
Promote-to-security
Medium
Chris J Arges
Promote-to-updates
Medium
Chris J Arges
Regression-testing
Medium
Canonical Platform QA Team
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux-lts-trusty (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned

Bug Description

This bug is for tracking the 3.13.0-57.95~precise1 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Friday, 19. June 2015 17:03 UTC
kernel-stable-master-bug:1466592
kernel-stable-Prepare-package-end:Monday, 22. June 2015 17:01 UTC
kernel-stable-Promote-to-proposed-start:Monday, 22. June 2015 17:01 UTC
kernel-stable-Promote-to-proposed-end:Monday, 22. June 2015 19:03 UTC
kernel-stable-Verification-testing-start:Monday, 22. June 2015 21:01 UTC
kernel-stable-Certification-testing-start:Monday, 22. June 2015 21:01 UTC
kernel-stable-Security-signoff-start:Monday, 22. June 2015 21:01 UTC
proposed-announcement-sent:True
kernel-stable-Regression-testing-start:Monday, 22. June 2015 21:01 UTC
kernel-stable-Verification-testing-end:Wednesday, 01. July 2015 15:01 UTC
kernel-stable-Regression-testing-end:Wednesday, 01. July 2015 15:01 UTC
kernel-stable-Promote-to-updates-start:Friday, 03. July 2015 08:01 UTC
kernel-stable-Certification-testing-end:Friday, 03. July 2015 08:01 UTC
kernel-stable-Security-signoff-end:Friday, 03. July 2015 08:01 UTC
kernel-stable-Promote-to-updates-end:Monday, 06. July 2015 17:59 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Monday, 06. July 2015 19:06 UTC

Brad Figg (brad-figg) on 2015-06-19
tags: added: kernel-release-tracking-bug
tags: added: block-proposed-precise
tags: added: precise
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-lts-trusty (Ubuntu):
importance: Undecided → Medium
Changed in linux-lts-trusty (Ubuntu Precise):
importance: Undecided → Medium
Luis Henriques (henrix) on 2015-06-22
Changed in linux-lts-trusty (Ubuntu):
status: New → Invalid

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Chris J Arges (arges) wrote :

Promoted to proposed:
 linux-lts-trusty | 3.13.0-57.95~precise1 | precise-proposed | source
 linux-meta-lts-trusty | 3.13.0.57.49 | precise-proposed | source
 linux-signed-lts-trusty | 3.13.0-57.95~precise1 | precise-proposed | source

Brad Figg (brad-figg) on 2015-06-22
description: updated
Brad Figg (brad-figg) on 2015-06-22
description: updated
Po-Hsu Lin (cypressyew) wrote :

Hardware Certification have begun testing this -proposed kernel.

Brad Figg (brad-figg) on 2015-07-01
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2015-07-01
description: updated
Po-Hsu Lin (cypressyew) wrote :

Hardware Certification have completed testing this -proposed kernel. No regressions were observed and results are available here: http://people.canonical.com/~hwcert/sru-testing/precise/3.13.0-57.95~precise1/precise-3.13-proposed.html

tags: added: certification-testing-passed
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2015-07-03
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (9.2 KiB)

This bug was fixed in the package linux-lts-trusty - 3.13.0-57.95~precise1

---------------
linux-lts-trusty (3.13.0-57.95~precise1) precise; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1466938

  [ Brad Figg ]

  * Merged back Ubuntu-3.13.0-55.94 regression fix for security release

linux (3.13.0-56.93) trusty; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1465798

  [ Upstream Kernel Changes ]

  * net: eth: xgene: devm_ioremap() returns NULL on error
    - LP: #1458042
  * drivers: net: xgene: fix new firmware backward compatibility with older
    driver
    - LP: #1458042
  * drivers: net: xgene: constify of_device_id array
    - LP: #1458042
  * drivers: net: xgene: Add second SGMII based 1G interface
    - LP: #1458042
  * net: phy: re-design phy_modes to be self-contained
    - LP: #1458042
  * dtb: change binding name to match with newer firmware DT
    - LP: #1458042
  * dtb: xgene: Add second SGMII based 1G interface node
    - LP: #1458042
  * Btrfs: make xattr replace operations atomic
    - LP: #1438501
    - CVE-2014-9710
  * cdc-acm: prevent infinite loop when parsing CDC headers.
    - LP: #1460657
  * (upstream) libata: Blacklist queued TRIM on all Samsung 800-series
    - LP: #1338706, #1449005
  * ahci: avoton port-disable reset-quirk
    - LP: #1458617
  * xfs: avoid false quotacheck after unclean shutdown
    - LP: #1461730
  * (upstream)[SCSI] Add timeout to avoid infinite command retry
    - LP: #1449372
  * (upstream)scsi_lib: remove the description string in
    scsi_io_completion()
    - LP: #1449372
  * udf: Remove repeated loads blocksize
    - LP: #1462173
    - CVE-2015-4167
  * udf: Check length of extended attributes and allocation descriptors
    - LP: #1462173
    - CVE-2015-4167
  * vfs: read file_handle only once in handle_to_path
    - LP: #1416503
    - CVE-2015-1420
  * ozwpan: Use unsigned ints to prevent heap overflow
    - LP: #1463442
    - CVE-2015-4001
  * ozwpan: divide-by-zero leading to panic
    - LP: #1463445
    - CVE-2015-4003
  * ozwpan: Use proper check to prevent heap overflow
    - LP: #1463444
    - CVE-2015-4002
  * ozwpan: unchecked signed subtraction leads to DoS
    - LP: #1463444
    - CVE-2015-4002
  * Input: elantech - add new icbody type
    - LP: #1464490
  * Bluetooth: ath3k: Add support Atheros AR5B195 combo Mini PCIe card
    - LP: #1465796
  * power_supply: twl4030_madc: Check return value of power_supply_register
    - LP: #1465796
  * power_supply: lp8788-charger: Fix leaked power supply on probe fail
    - LP: #1465796
  * ARM: dts: dove: Fix uart[23] reg property
    - LP: #1465796
  * xtensa: xtfpga: fix hardware lockup caused by LCD driver
    - LP: #1465796
  * Drivers: hv: vmbus: Fix a bug in the error path in vmbus_open()
    - LP: #1465796
  * xtensa: provide __NR_sync_file_range2 instead of __NR_sync_file_range
    - LP: #1465796
  * KVM: s390: Zero out current VMDB of STSI before including level3 data.
    - LP: #1465796
  * usb: musb: core: fix TX/RX endpoint order
    - LP: #1465796
  * drm/radeon: fix doublescan modes (v2)
    - LP: #1465796
  * usb: phy: Find the right match in devm_usb_phy_match
    - LP: #1465...

Read more...

Changed in linux-lts-trusty (Ubuntu Precise):
status: New → Fix Released
Brad Figg (brad-figg) on 2015-07-06
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers